#ifndef __TREEMAN_E
#define __TREEMAN_E
extern int init_23tree_management(void);
extern int init_23tree(struct a23tree_type **);
extern int free_23tree(struct a23tree_type *);
extern struct a23key_type *search_23tree(register char *, 
                                         struct a23tree_type *, 
                                         register int (*comp23)());
extern int *add_23tree(void *,
                       struct a23tree_type *,
                       int (*comp23)(), 
                       int (*free_key)(),
                       int (*keycount_inc)(), 
                       int (*keyparent_set)(),
                       int (*print_key)());
extern int print_23tree(struct a23tree_type *,
                        int depth, 
                        int (*print_key)());
extern int print_beautiful_23tree(struct a23tree_type *,
                                  int depth1,
                                  int depth2,
                                  int (*print_key)());
#endif
