#ifndef __BDDMAN_H
#define __BDDMAN_H

#define BDD_FALSE       (bdd_zero(bddm))
#define BDD_TRUE        (bdd_one(bddm))


extern bdd_manager bddm;
extern struct a23tree_type *bdd_tree;

extern void init_bdd(void);
extern bdd new_bdd(void);
extern struct proposition_type *new_prop(struct boolconj_type *);
extern void install_bdd(struct boolconj_type *);
extern int install_boolexp_bdds(void);
extern int bdd_comp(bdd, bdd);
/*
extern int bdd_comp_internal(bdd, bdd);
*/
extern bdd BDD_AND(bdd, bdd);
extern bdd BDD_OR(bdd, bdd);
extern int install_init_boolexp_bdds();
extern void install_trigger_bdds();
#endif
